netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
at.h File Reference
`#include <sys/types.h>`
`#include <netinet/in.h>`

Go to the source code of this file.

## Data Structures
struct | at_addr
struct | sockaddr_at
struct | netrange

## Macros
#define | ATPROTO_DDP 0
#define | ATPROTO_AARP 254
#define | ETHERTYPE_AT 0x809B
#define | ETHERTYPE_AARP 0x80F3
#define | DDP_MAXSZ 587
#define | ATPORT_FIRST 1
#define | ATPORT_RESERVED 128
#define | ATPORT_LAST 254
#define | ATADDR_ANYNET (unsigned short)0x0000
#define | ATADDR_ANYNODE (unsigned char)0x00
#define | ATADDR_ANYPORT (unsigned char)0x00
#define | ATADDR_BCAST (unsigned char)0xff

## Macro Definition Documentation

## ◆ ATADDR_ANYNET

#define ATADDR_ANYNET (unsigned short)0x0000

## ◆ ATADDR_ANYNODE

#define ATADDR_ANYNODE (unsigned char)0x00

## ◆ ATADDR_ANYPORT

#define ATADDR_ANYPORT (unsigned char)0x00

## ◆ ATADDR_BCAST

#define ATADDR_BCAST (unsigned char)0xff

There is no BCAST for NET

## ◆ ATPORT_FIRST

#define ATPORT_FIRST 1

## ◆ ATPORT_LAST

#define ATPORT_LAST 254

254 is reserved on ether/tokentalk networks

## ◆ ATPORT_RESERVED

#define ATPORT_RESERVED 128

## ◆ ATPROTO_AARP

#define ATPROTO_AARP 254

## ◆ ATPROTO_DDP

#define ATPROTO_DDP 0

## ◆ DDP_MAXSZ

#define DDP_MAXSZ 587

## ◆ ETHERTYPE_AARP

#define ETHERTYPE_AARP 0x80F3

AppleTalk ARP

## ◆ ETHERTYPE_AT

#define ETHERTYPE_AT 0x809B

AppleTalk protocol